// **************************************************************************************
// el Comandante                                                    guerilla.bplaced.net
// --------------------------------------------------------------------------------------
// Information:
// Read TFT Pixel Test - Reading pixel from TFT display isn't supported on some devices
// --------------------------------------------------------------------------------------
// Used Libraries:
// TFT_eSPI --> https://github.com/Bodmer/TFT_eSPI
// **************************************************************************************

#include <TFT_eSPI.h>                                     // TFT_espi library
TFT_eSPI tft          = TFT_eSPI();

// Vars
uint16_t*     buf [1024];                                 // buffer, should be calculated


void setup(void)
{
  tft.init();                                             // TFT_eSPI
  digitalWrite(TFT_BL, 0);                                // switch backlight off
  tft.setRotation(0);                                     // set desired rotation
  tft.fillScreen(0x07FF);
  tft.setTextDatum(TL_DATUM);
  tft.setTextFont(2);
  tft.setCursor(0, 8);
  tft.setTextColor(0x0000, 0x07FF);
  tft.print("Rectangle Original");
  tft.setCursor(0, tft.height() / 2);
  tft.print("Rectangle Copy");
  tft.setCursor(0, tft.height() - 24);
  tft.print("Read ok if both RED");
  digitalWrite(TFT_BL, 1);                                // switch backlight on

  // Draw filled red rectangle on TFT, copy the rectangle to another position on the TFT
  tft.fillRect(tft.width() / 2 - 8, tft.height() / 4 - 8, 16, 16, 0xF800);
  tft.readRect(tft.width() / 2 - 8, tft.height() / 4 - 8, 16, 16, (uint16_t*)buf);
  tft.pushImage(tft.width() / 2 - 8, tft.height() / 4 * 3 - 8, 16, 16, (uint16_t*)buf);
}


void loop()
{
// notting to do
}
